{% extends "modal.html" %}
{% load i18n static inkscape %}

{% block title %}{{ object.name }}{% endblock %}

{% block "css" %}{{ block.super }}
  {{ stats.media }}
{% endblock %}

{% block "dialog-title" %}
  <h1>{{ object.name }}</h1>
{% endblock %}

{% block "dialog-body" %}
  <table class="alternating" style="width: 100%;">
    <thead>
      <tr>
        <th scope="col">Date</th>
        {% for category in table.cols %}
          <th scope="col">{{ category.name|default:"Total" }}</th>
        {% endfor %}
      </tr>
    </thead>
    <tbody>
      {% for row in table.rows %}
        <tr>
          <th scope="row">{{ row.entry.point }}</th>
          {% for datum in row.data %}
            <td>{{ datum }}</td>
          {% endfor %}
        </tr>
      {% endfor %}
    </tbody>
    {% if object.entries.count > 1 %}
    <tfoot>
      <tr><th colspan="{{ table.cols|length|add:1 }}">...</th></tr>
    </tfoot>
    {% endif %}
  </table>
  <hr/>
  {% for stat in stats %}
    {{ stat.render }}
    <hr/>
  {% endfor %}
{% endblock %}
